javax.xml.ws

## Interface Binding

- All Known Subinterfaces:
    HTTPBinding, SOAPBinding

      public interface Binding

  The `Binding` interface is the base interface for JAX-WS protocol bindings.
  Since:
    JAX-WS 2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBindingID()` | Get the URI for this binding instance.
    `List<Handler>` | `getHandlerChain()` | Gets a copy of the handler chain for a protocol binding instance.
    `void` | `setHandlerChain(List<Handler> chain)` | Sets the handler chain for the protocol binding instance.

- - ### Method Detail

    - #### getHandlerChain

          List<Handler> getHandlerChain()

      Gets a copy of the handler chain for a protocol binding instance. If the returned chain is modified a call to `setHandlerChain` is required to configure the binding instance with the new chain.
      Returns:
        java.util.List<Handler> Handler chain

    - #### setHandlerChain

          void setHandlerChain(List<Handler> chain)

      Sets the handler chain for the protocol binding instance.
      Parameters:
        `chain` - A List of handler configuration entries
      Throws:
        `WebServiceException` - On an error in the configuration of the handler chain
        `UnsupportedOperationException` - If this operation is not supported. This may be done to avoid any overriding of a pre-configured handler chain.

    - #### getBindingID

          String getBindingID()

      Get the URI for this binding instance.
      Returns:
        String The binding identifier for the port. Never returns `null`
      Since:
        JAX-WS 2.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.